# Uses of Interface
org.eclipse.jdt.core.dom.IAnnotationBinding

Packages that use IAnnotationBinding
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.
org.eclipse.jdt.core.dom.rewrite
The Java DOM/AST rewrite is the set of classes that are used to make changes to an existing DOM/AST tree.

## Uses of IAnnotationBinding in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return IAnnotationBinding
Modifier and Type
Method
Description
`IAnnotationBinding[]`
IBinding.`getAnnotations()`
Returns the resolved declaration annotations associated with this binding.
`IAnnotationBinding[]`
IMethodBinding.`getParameterAnnotations(int paramIndex)`
Returns the resolved declaration annotations of a parameter of this method.
`IAnnotationBinding[]`
ITypeBinding.`getTypeAnnotations()`
Returns the type annotations that this type reference is annotated with.
`IAnnotationBinding`
Annotation.`resolveAnnotationBinding()`
Resolves and returns the resolved annotation for this annotation.

## Uses of IAnnotationBinding in org.eclipse.jdt.core.dom.rewrite

Methods in org.eclipse.jdt.core.dom.rewrite that return IAnnotationBinding
Modifier and Type
Method
Description
`IAnnotationBinding[]`
ImportRewrite.ImportRewriteContext.`removeRedundantTypeAnnotations(IAnnotationBinding[] annotations, ImportRewrite.TypeLocation location, ITypeBinding type)`
This method can be overridden in subclasses to remove annotations that are redundant, e.g. because of NonNullByDefault.
Methods in org.eclipse.jdt.core.dom.rewrite with parameters of type IAnnotationBinding
Modifier and Type
Method
Description
`Annotation`
ImportRewrite.`addAnnotation(IAnnotationBinding annotation, AST ast, ImportRewrite.ImportRewriteContext context)`
Adds the necessary imports for the given annotation binding to the rewriter's record and returns an `Annotation` that can be used in the code.
`IAnnotationBinding[]`
ImportRewrite.ImportRewriteContext.`removeRedundantTypeAnnotations(IAnnotationBinding[] annotations, ImportRewrite.TypeLocation location, ITypeBinding type)`
This method can be overridden in subclasses to remove annotations that are redundant, e.g. because of NonNullByDefault.